package com.ruoyi.brewery.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.brewery.mapper.WyBreweryRoleMenuMapper;
import com.ruoyi.brewery.domain.WyBreweryRoleMenu;
import com.ruoyi.brewery.service.IWyBreweryRoleMenuService;

/**
 * 品牌方角色和菜单关联Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-12-22
 */
@Service
public class WyBreweryRoleMenuServiceImpl implements IWyBreweryRoleMenuService 
{
    @Autowired
    private WyBreweryRoleMenuMapper wyBreweryRoleMenuMapper;

    /**
     * 查询品牌方角色和菜单关联
     * 
     * @param roleId 品牌方角色和菜单关联主键
     * @return 品牌方角色和菜单关联
     */
    @Override
    public WyBreweryRoleMenu selectWyBreweryRoleMenuByRoleId(Long roleId)
    {
        return wyBreweryRoleMenuMapper.selectWyBreweryRoleMenuByRoleId(roleId);
    }

    /**
     * 查询品牌方角色和菜单关联列表
     * 
     * @param wyBreweryRoleMenu 品牌方角色和菜单关联
     * @return 品牌方角色和菜单关联
     */
    @Override
    public List<WyBreweryRoleMenu> selectWyBreweryRoleMenuList(WyBreweryRoleMenu wyBreweryRoleMenu)
    {
        return wyBreweryRoleMenuMapper.selectWyBreweryRoleMenuList(wyBreweryRoleMenu);
    }

    /**
     * 新增品牌方角色和菜单关联
     * 
     * @param wyBreweryRoleMenu 品牌方角色和菜单关联
     * @return 结果
     */
    @Override
    public int insertWyBreweryRoleMenu(WyBreweryRoleMenu wyBreweryRoleMenu)
    {
        return wyBreweryRoleMenuMapper.insertWyBreweryRoleMenu(wyBreweryRoleMenu);
    }

    /**
     * 修改品牌方角色和菜单关联
     * 
     * @param wyBreweryRoleMenu 品牌方角色和菜单关联
     * @return 结果
     */
    @Override
    public int updateWyBreweryRoleMenu(WyBreweryRoleMenu wyBreweryRoleMenu)
    {
        return wyBreweryRoleMenuMapper.updateWyBreweryRoleMenu(wyBreweryRoleMenu);
    }

    /**
     * 批量删除品牌方角色和菜单关联
     * 
     * @param roleIds 需要删除的品牌方角色和菜单关联主键
     * @return 结果
     */
    @Override
    public int deleteWyBreweryRoleMenuByRoleIds(Long[] roleIds)
    {
        return wyBreweryRoleMenuMapper.deleteWyBreweryRoleMenuByRoleIds(roleIds);
    }

    /**
     * 删除品牌方角色和菜单关联信息
     * 
     * @param roleId 品牌方角色和菜单关联主键
     * @return 结果
     */
    @Override
    public int deleteWyBreweryRoleMenuByRoleId(Long roleId)
    {
        return wyBreweryRoleMenuMapper.deleteWyBreweryRoleMenuByRoleId(roleId);
    }
}
